Panda3D

Loading...
Searching...
No Matches
Functions
eggMiscFuncs.h File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "pandabase.h"`
`#include "lmatrix.h"`
`#include "eggMiscFuncs.I"`

Go to the source code of this file.

## Functions
std::ostream & | enquote_string (std::ostream &out, const std::string &str, int indent_level=0, bool always_quote=false)
| Writes the string to the indicated output stream.
void | write_transform (std::ostream &out, const LMatrix3d &mat, int indent_level)
| A helper function to write out a 3x3 transform matrix.
void | write_transform (std::ostream &out, const LMatrix4d &mat, int indent_level)
| A helper function to write out a 4x4 transform matrix.

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  1999-01-16

Definition in file eggMiscFuncs.h.

## Function Documentation

## ◆ enquote_string()

std::ostream & enquote_string | ( | ostream & | out,
|  | const string & | str,
|  | int | indent_level,
|  | bool | always_quote )

Writes the string to the indicated output stream.

If the string contains any characters special to egg, writes quotation marks around it. If always_quote is true, writes quotation marks regardless.

Definition at line 30 of file eggMiscFuncs.cxx.

References indent().

Referenced by EggComment::write(), EggExternalReference::write(), EggSAnimData::write(), EggTexture::write(), EggGroup::write_collide_flags(), EggNamedObject::write_header(), EggGroup::write_object_types(), and EggGroup::write_tags().

## ◆ write_transform() [1/2]

void write_transform | ( | std::ostream & | out,
|  | const LMatrix3d & | mat,
|  | int | indent_level )

A helper function to write out a 3x3 transform matrix.

Definition at line 76 of file eggMiscFuncs.cxx.

References indent().

## ◆ write_transform() [2/2]

void write_transform | ( | std::ostream & | out,
|  | const LMatrix4d & | mat,
|  | int | indent_level )

A helper function to write out a 4x4 transform matrix.

Definition at line 96 of file eggMiscFuncs.cxx.

References indent().